<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org">
<head>
<meta charset="utf-8">
<meta http-equiv="x-ua-compatible" content="ie=edge">
<title>Music All In</title>
<meta name="viewport" content="width=device-width, initial-scale=1">
<link href="../../img/mini-logo.ico" rel="icon" type="image/ico" sizes="any">
<link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/css/bootstrap.min.css" integrity="sha384-MCw98/SFnGE8fJT3GXwEOngsV7Zt27NXFoaoApmYm81iuXoPkFOJwJ8ERdknLPMO" crossorigin="anonymous">
<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.4.1/css/all.css" integrity="sha384-5sAR7xN1Nv6T6+dT2mhtzEpVJvfS3NScPQTrOxhwjIuvcA67KV2R5Jz6kr4abQsz" crossorigin="anonymous">
<link href="../../css/style.css" rel="stylesheet">
<link href="../../css/simple-line-icons.css" rel="stylesheet">
<link href="../../css/pace.css" rel="stylesheet">
</head>
<body id="sidebar" class="app header-fixed sidebar-fixed aside-menu-fixed sidebar-lg-show">
	<th:block th:include="fragments/header"></th:block>
	<div class="app-body">
		<th:block th:include="fragments/sidebar"></th:block>
		<main class="main">
            <div class="container-fluid">
                <nav aria-label="breadcrumb">
                    <ol class="breadcrumb">
                        <li class="breadcrumb-item " aria-current="page">Student</li>
                        <li class="breadcrumb-item active" aria-current="page">Update Student</li>
                    </ol>
                </nav>
                <section class="page-content">
                	<div class="position-relative border-bottom page-title">
                        <h2>Update Student</h2>
                        <div class="position-absolute back-button">
                            <button class="btn btn-primary goto" onclick="history.back(-1)">Back</button>
                        </div>
                    </div>
                    <div class="animated fadeIn">
                        <div class="text-center">
							<div class="card offset-md-3 col-md-6 offset-md-3">
								<div class="card-body col-md-12">
									<form action="#" th:action="@{/students/update/{id}(id=${student.id})}" th:object="${student}" method="post">
										<div class="row mt-3">
											<div class="form-group form-inline col-md-12">
												<label for="name" class="col-md-3">Username</label>
												<div>
													<strong><label th:text="*{user.username}" class="col-md-8 pl-4"></label></strong>
													<input type="hidden" th:field="*{user.username}" th:value="*{user.username}">
													<input type="hidden" th:field="*{user.id}" th:value="*{user.id}">
													<input type="hidden" th:field="*{user.role}" th:value="*{user.role}">
												</div>
											</div>
											<div class="form-group form-inline col-md-12">
												<label for="name" class="col-md-3">First Name</label>
												<input type="text" th:field="*{firstName}" class="form-control col-md-8" id="name" placeholder="First Name" required>
												<span th:if="${#fields.hasErrors('firstName')}" th:errors="*firstName}"class="text-danger"></span>
											</div>
											<div class="form-group form-inline col-md-12">
											<label for="name" class="col-md-3">Last Name</label>
												<input type="text" th:field="*{lastName}" class="form-control col-md-8" id="name" placeholder="Last Name" required>
												<span th:if="${#fields.hasErrors('lastName')}" th:errors="*lastName}"class="text-danger"></span>
											</div>
											<div class="form-group form-inline col-md-12">
											<label for="dni" class="col-md-3">DNI</label>
												<input type="text" maxlength="8" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" th:field="*{dni}" class="form-control col-md-8" id="name" placeholder="DNI" required>
												<span th:if="${#fields.hasErrors('dni')}" th:errors="dni" class="text-danger"></span>
											</div>
											<div class="form-group form-inline col-md-12">
											<label for="code" class="col-md-3">Code</label>
												<input type="text" maxlength="6" oninput="this.value = this.value.replace(/[^0-9.]/g, '').replace(/(\..*)\./g, '$1');" th:field="*{code}" class="form-control number col-md-8" id="name" placeholder="Code" required>
												<span th:if="${#fields.hasErrors('code')}" th:errors="code" class="text-danger"></span>
											</div>	
											<div class="form-group form-inline col-md-12">
											<label for="email" class="col-md-3">Email</label>
												<input type="email" th:field="*{user.email}" class="form-control col-md-8" id="email" placeholder="Email" required>
												<span th:if="${#fields.hasErrors('user.email')}" th:errors="*{user.email}"class="text-danger"></span>
											</div>
											<div class="form-group form-inline col-md-12">
											<label for="phoneNo" class="col-md-3">Phone No</label>
												<input type="text" th:field="*{phoneNo}" class="form-control col-md-8" id="phoneNo" placeholder="phoneNo" required>
												<span th:if="${#fields.hasErrors('phoneNo')}" th:errors="phoneNo" class="text-danger"></span>
											</div>
											<div class="col-md-12 mt-4">
												<input type="submit" class="btn btn-primary" value="Update Student">
											</div>
										</div>
									</form>
								</div>
							</div>
						</div>
					</div>
                </section>
			</div>
        </main>
	</div>
	<th:block th:include="fragments/footer"></th:block>
	<script src="../../js/jquery.js"></script>
	<script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.3/js/bootstrap.min.js"></script>
    <script src="../../js/pace.js"></script>
    <script src="../../js/jquery.blockUI.js"></script>
    <script src="../../js/action.js"></script>
    <script src="../../js/fragments/sidebar.js"></script>
</body>
</html>